#!/bin/bash

old_dir=`pwd`

cd $APPDATADIR

mkdir glshim
cd glshim

if [ ! -e glshim_bochs ]; then
git clone https://github.com/lunixbochs/glshim glshim_bochs || exit 1
fi
#if [ ! -e glshim_seb ]; then
#git clone https://github.com/ptitSeb/glshim    glshim_seb   || exit 1
#fi
if [ ! -e glues ]; then
git clone https://github.com/lunixbochs/glues               || exit 1
fi

cd glshim_bochs
git checkout
cmake .
make
cp -a lib/* $CDEVROOT/usr/lib
cd ..

cd glues
git checkout
cmake .
make
cp libGLU.so.1 $CDEVROOT/usr/lib
cd ..

cd $old_dir

exit 0
